Zum Hauptinhalt springen

Get your LeadFyndr request

GET/v2/customers/{customerId}/lead-fyndr-profile-request
API-Version
v2
Request-Methode
GET
Operation-ID
leadfyndr-get-lead-fyndr-profile-request

Request​

  • customerIdstringrequired

Responses​

Format
application/json
Beschreibung

The LeadFyndr request.

  • createdOnstring (date-time)required
  • customerIdstringrequired
  • domainstringrequired
  • profileIdstringrequired
  • requestedByobjectrequired
    • userIdstringrequired
  • resultOnstring (date-time)
  • statusstring (einer von: AUTOTEST_INIT, MANUAL_VERIFICATION, REJECTED, APPROVED)required
Content-Type: application/json

{
"createdOn": "1985-10-26T01:21:00.000Z",
"customerId": "string",
"domain": "string",
"profileId": "string",
"requestedBy": {
"userId": "string"
},
"resultOn": "1985-10-26T01:21:00.000Z",
"status": "AUTOTEST_INIT"
}
{
"properties": {
"createdOn": {
"format": "date-time",
"type": "string"
},
"customerId": {
"type": "string"
},
"domain": {
"type": "string"
},
"profileId": {
"type": "string"
},
"requestedBy": {
"properties": {
"userId": {
"type": "string"
}
},
"required": [
"userId"
],
"type": "object"
},
"resultOn": {
"format": "date-time",
"type": "string"
},
"status": {
"enum": [
"AUTOTEST_INIT",
"MANUAL_VERIFICATION",
"REJECTED",
"APPROVED"
],
"type": "string"
}
},
"required": [
"profileId",
"customerId",
"domain",
"status",
"createdOn",
"requestedBy"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/string/lead-fyndr-profile-request
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.leadFyndr.getLeadFyndrProfileRequest({
"customerId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\LeadFyndr\GetLeadFyndrProfileRequest\GetLeadFyndrProfileRequestRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetLeadFyndrProfileRequestRequest(
customerId: "string"
));
$response = $client->leadFyndr()->getLeadFyndrProfileRequest($request);

var_dump($response->getBody();

Auf dieser Seite